ProjectUni/Models/Institute.cs
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;

namespace ProjectUni.Models
{
    public class Institute
    {
        [Key]
        public int InstituteId { get; set; }

        public string InstituteName { get; set; }

        public string Description { get; set; }

        [Url(ErrorMessage = "Please enter a valid url")]
        [DisplayName("Website")]
        public string Website { get; set; }

        [Display(Name = "Company Logo")]
        public string Image { get; set; }

        [Required(ErrorMessage = "Phone number is Required")]
        [RegularExpression(@"^0[0-9]{2,3}-[0-9]{7}$", ErrorMessage = "Format for Contact is 0xxx-xxxxxxx")]
        [StringLength(12, ErrorMessage = "Phone number should be 11 or 12 characters depending on code")]
        [Display(Name = "Phone Number")]
        public string Contact { get; set; }

        public string Address { get; set; }

        [Display(Name = "Operating Since"), Required]
        [DataType(DataType.Date)]
        [DisplayFormat(ApplyFormatInEditMode = true, DataFormatString = "{0:dd/MM/yyyy}")]
        public string OperatingSince { get; set; }

        public int CityId { get; set; }
        public virtual Cities Cities { get; set; }

        //Contact Person Info
        [Display(Name = "Email"), Required]
        [EmailAddress, StringLength(50)]
        public string Email { get; set; }

        [Required]
        [Display(Name = "Contact Person")]
        public string PersonName { get; set; }

        [Required]
        public string Designation { get; set; }

        [Required(ErrorMessage = "Mobile number is Required")]
        [RegularExpression(@"^\+92[0-9]{3}-[0-9]{7}$", ErrorMessage = "Format for Contact is +92xxx-xxxxxxx")]
        [StringLength(14, ErrorMessage = "Phone number should be 14 characters")]
        [Display(Name = "Mobile Number")]
        public string Mobile { get; set; }

        public string AffiliatedBy { get; set; }

        public bool Status { get; set; }

        public virtual ICollection<InstituteCourse> InstituteCourse { get; set; }


    }

    public class Course
    {
        [Key]
        public int CourseId { get; set; }

        public string Description { get; set; }
     
        public string CourseName { get; set; } 
        
        public bool Status { get; set; }

        public virtual ICollection<InstituteCourse> InstituteCourse { get; set; }

    }

}

ProjectUni/Controllers/InstitutesController.cs
using System;
using System.Collections.Generic;
using System.Data;
using System.Data.Entity;
using System.IO;
using System.Linq;
using System.Net;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using ProjectUni.Models;

namespace ProjectUni.Controllers
{
    [AuthorizeUserAccessLevel(UserRole = "Institute")]
    public class InstitutesController : Controller
    {
        private PContext db = new PContext();

        // GET: Institutes
        public ActionResult Index()
        {
            var institute = db.institute.Include(i => i.Cities);
            return View(institute.ToList());
        }

        public ActionResult Courses()
        {
            var Courses = db.Course;
            return View(Courses.ToList());
        }

        // GET: Institutes/Details/5
        public ActionResult Details(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            if (id != (int)Session["InstituteID"])
            {
                return HttpNotFound();
            }
            Institute institute = db.institute.Find(id);
            if (institute == null)
            {
                return HttpNotFound();
            }
            return View(institute);
        }

        // GET: Institutes/Create
        public ActionResult Create()
        {
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName");
            return View();
        }

        // POST: Institutes/Create
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Create([Bind(Include = "InstituteId,InstituteName,Description,Website,Image,Contact,Address,OperatingSince,CityId,Email,PersonName,Designation,Mobile,AffiliatedBy,Status")] Institute institute, HttpPostedFileBase Image)
        {
            if (ModelState.IsValid)
            {
                if (Image != null)
                {

                    var filename = Path.GetFileName(Image.FileName);
                    var extension = Path.GetExtension(filename).ToLower();
                    if (extension == ".jpg" || extension == ".png" || extension == ".jpeg" || extension == ".gif" || extension == ".bmp" || extension == ".jpeg" || extension == ".gif" || extension == ".bmp")
                    {
                        var path = HostingEnvironment.MapPath(Path.Combine("~/ProfileImages/", filename));
                        Image.SaveAs(path);
                        institute.Image = "~/ProfileImages/" + filename;

                        db.institute.Add(institute);
                        db.SaveChanges();
                        return RedirectToAction("Details");

                    }
                    if (extension != ".jpg" || extension != ".png" || extension != ".jpeg" || extension != ".gif" || extension != ".bmp" || extension != ".jpeg" || extension != ".gif" || extension != ".bmp")
                    {
                        ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", institute.CityId);
                        return View(institute);
                    }
                }

            }

            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", institute.CityId);
            return View(institute);
        }

        // GET: Institutes/Edit/5
        public ActionResult Edit(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Institute institute = db.institute.Find(id);
            if (institute == null)
            {
                return HttpNotFound();
            }
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", institute.CityId);
            return View(institute);
        }

        // POST: Institutes/Edit/5
        // To protect from overposting attacks, please enable the specific properties you want to bind to, for 
        // more details see https://go.microsoft.com/fwlink/?LinkId=317598.
        [HttpPost]
        [ValidateAntiForgeryToken]
        public ActionResult Edit([Bind(Include = "InstituteId,InstituteName,Description,Website,Image,Contact,Address,OperatingSince,CityId,Email,PersonName,Designation,Mobile,AffiliatedBy,Status")] Institute institute, HttpPostedFileBase Image)
        {
            if (Image != null)
            {
                var filename = Path.GetFileName(Image.FileName);
                var extension = Path.GetExtension(filename).ToLower();
                if (extension == ".jpg" || extension == ".png" || extension == ".jpeg" || extension == ".gif" || extension == ".bmp")
                {
                    var path = HostingEnvironment.MapPath(Path.Combine("~/Images/", filename));
                    Image.SaveAs(path);
                    institute.Image = "~/Images/" + filename;
                }
                else
                if (extension != ".jpg" || extension != ".png" || extension != ".jpeg" || extension != ".gif" || extension != ".bmp")
                {
                    ViewBag.ImageError = "Choose the image file.";
                    ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", institute.CityId);
                    return View(institute);
                }
            }
            if (ModelState.IsValid)
            {
                db.Entry(institute).State = EntityState.Modified;
                db.SaveChanges();
                return RedirectToAction("details", new { id = institute.InstituteId });
            }
            ViewBag.CityId = new SelectList(db.cities, "CityId", "CityName", institute.CityId);
            return View(institute);
        }

        // GET: Institutes/Delete/5
        public ActionResult Delete(int? id)
        {
            if (id == null)
            {
                return new HttpStatusCodeResult(HttpStatusCode.BadRequest);
            }
            Institute institute = db.institute.Find(id);
            if (institute == null)
            {
                return HttpNotFound();
            }
            return View(institute);
        }

        // POST: Institutes/Delete/5
        [HttpPost, ActionName("Delete")]
        [ValidateAntiForgeryToken]
        public ActionResult DeleteConfirmed(int id)
        {
            Institute institute = db.institute.Find(id);
            db.institute.Remove(institute);
            db.SaveChanges();
            return RedirectToAction("Index");
        }

        protected override void Dispose(bool disposing)
        {
            if (disposing)
            {
                db.Dispose();
            }
            base.Dispose(disposing);
        }
    }
}

ProjectUni/Views/Institutes/Courses.cshtml
@model IEnumerable<ProjectUni.Models.Course>

@{
    ViewBag.Title = "Courses";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81)">
        <div class="box-body">
            <h2 style="color:white">Courses</h2>

            <p>
                @Html.ActionLink("My Courses", "InstituteAssignedCourses", "InstituteCourses")
            </p>
            <table class="table table-responsive table-bordered" style="color:white">
                <tr>
                    <th>
                        @Html.DisplayNameFor(model => model.CourseName)
                    </th>
                    <th>
                        @Html.DisplayNameFor(model => model.Description)
                    </th>
                </tr>

                @foreach (var item in Model)
                {
                    <tr>
                        <td>
                            @Html.DisplayFor(modelItem => item.CourseName)
                        </td>
                        <td>
                            @Html.DisplayFor(modelItem => item.Description)
                        </td>
                    </tr>
                }

            </table>
        </div>
    </div>
</div>

ProjectUni/Views/Institutes/Create.cshtml
@model ProjectUni.Models.Institute
@using ProjectUni.Models;

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
@{
    PContext db = new PContext();
    var id = Session["UserID"];
    var ob = db.Registration.Find(id);
    var em = ob.Email;

}
<h2>Create</h2>

@using (Html.BeginForm("Create","Institutes", FormMethod.Post, new { enctype = "multipart/form-data" }))
{
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
        <h4>Institute</h4>
        <hr />
        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
        <div class="form-group">
            @Html.LabelFor(model => model.InstituteName, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.InstituteName, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.InstituteName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Website, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Website, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Website, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Contact, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Contact, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Contact, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Address, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Address, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Address, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.OperatingSince, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.OperatingSince, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.OperatingSince, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.CityId, "CityId", htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.DropDownList("CityId", null,"Select City", htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.CityId, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                <input type="text" name="Email" value="@em" id="Email" class="form-control" readonly="readonly" />
                @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.PersonName, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.PersonName, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.PersonName, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Designation, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Designation, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Designation, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.Mobile, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.Mobile, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Mobile, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            @Html.LabelFor(model => model.AffiliatedBy, htmlAttributes: new { @class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(model => model.AffiliatedBy, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.AffiliatedBy, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <label class="control-label col-md-3">Image</label>
            <div class="col-md-9">
                <input type="file" name="Image" class="form-control" />
                <br />
                @*@{ if (Model != null)
            {
                <a target="_self" href="@Url.Content(Model.Image)">
                    <img src="@Url.Content(Model.Image)" alt="" height="80" width="100" class="img-thumbnail">
                </a>
    }
                }*@
                @Html.ValidationMessageFor(model => model.Image, "", new { @class = "text-danger" })
            </div>
        </div>

        <div class="form-group">
            <div class="col-md-offset-2 col-md-10">
                <input type="submit" value="Create" class="btn btn-default" />
            </div>
        </div>
    </div>
}

<div>
    @Html.ActionLink("Back to List", "Index")
</div>

ProjectUni/Views/Institutes/Details.cshtml
@model ProjectUni.Models.Institute

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}

<div class="col-xs-12">
    <div class="col-sm-3 sidenav" style="background-color:rgba(0, 0, 0, 0.81);margin-bottom:2%;">

        <h3 class="ph" style="color:white;">Company Logo</h3>
        <img src="@Url.Content(Model.Image)" class="image img-responsive" alt="Profile Pic">

        <br /><br />
        <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("Details", "Institutes",new  { id = Model.InstituteId })">Institute Profile</a></p>
        <p class="btn btn-block btn-glass" style="background-color:#1758ee"><a href="@Url.Action("index", "Courses")">Course</a></p>
    </div>

    <div class="col-sm-8 main-content text-left" style="background-color:rgba(0, 0, 0, 0.81);">
        <h3 class="ph" style="margin-top:20px;">Institute Profile</h3>
        <dl class="dl-horizontal">
            <dt>
                @Html.DisplayNameFor(model => model.Cities.CityName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Cities.CityName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.InstituteName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.InstituteName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Description)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Description)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Website)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Website)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Contact)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Contact)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Address)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Address)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.OperatingSince)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.OperatingSince)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Email)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Email)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.PersonName)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.PersonName)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Designation)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Designation)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.Mobile)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.Mobile)
            </dd>

            <dt>
                @Html.DisplayNameFor(model => model.AffiliatedBy)
            </dt>

            <dd>
                @Html.DisplayFor(model => model.AffiliatedBy)
            </dd>

            @Html.ActionLink("Edit", "Edit", new { id = Model.InstituteId }, new { @class = "btn btn-primary" })

        </dl>

    </div>
</div>

ProjectUni/Views/Institutes/Edit.cshtml
@model ProjectUni.Models.Institute

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_ProfileLayout.cshtml";
}
<div class="col-xs-12">
    <div class="box" style="background-color:rgba(0, 0, 0, 0.81);padding-bottom:10px;">
        <div class="box-body" style="margin:20px 50px 20px 50px;padding:0px 50px 0px 50px;">
            <h2 style="color:white;padding-top:10px;">Edit</h2>

            @using (Html.BeginForm("Edit", "Institutes", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.AntiForgeryToken()

                <div class="form-horizontal">
                    <h4 style="color:white;">Companies</h4>
                    <hr />
                    @Html.ValidationSummary(true, "", new { @class = "text-danger" })


                    @Html.HiddenFor(model => model.Image)
                    @Html.HiddenFor(model => model.InstituteId)

                    <div class="form-group">
                        @Html.LabelFor(model => model.InstituteName, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.InstituteName, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.InstituteName, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Website, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Website, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Website, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Contact, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Contact, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Contact, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Address, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Address, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Address, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.OperatingSince, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.OperatingSince, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.OperatingSince, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.CityId, "CityId", htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.DropDownList("CityId", null, htmlAttributes: new { @class = "form-control" })
                            @Html.ValidationMessageFor(model => model.CityId, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Email, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Email, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Email, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.PersonName, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.PersonName, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.PersonName, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Designation, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Designation, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Designation, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.Mobile, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.Mobile, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.Mobile, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        @Html.LabelFor(model => model.AffiliatedBy, htmlAttributes: new { @class = "control-label col-md-2" })
                        <div class="col-md-10">
                            @Html.EditorFor(model => model.AffiliatedBy, new { htmlAttributes = new { @class = "form-control" } })
                            @Html.ValidationMessageFor(model => model.AffiliatedBy, "", new { @class = "text-danger" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="control-label col-md-3">Image</label>
                        <div class="col-md-9">
                            <input type="file" name="Image" class="form-control" />
                            <br />
                            @{ if (Model != null)
                                {
                                    <a target="_self" href="@Url.Content(Model.Image)">
                                        <img src="@Url.Content(Model.Image)" alt="" height="80" width="100" class="img-thumbnail">
                                    </a>
                                }
                            }
                        </div>
                    </div>

                    <div class="form-group">
                        <div class="col-md-offset-2 col-md-10">
                            <input type="submit" value="Save" class="btn btn-default" />
                        </div>
                    </div>
                </div>
            }

            <div>
                @Html.ActionLink("Back to List", "details", new { id = Model.InstituteId})
            </div>

        </div>
    </div>
</div>